Subject: Re: linux-next: build failure after merge of the tip tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 6 Oct 2021 20:54:44 +1100

Hi Borislav,

On Wed, 6 Oct 2021 11:31:00 +0200 Borislav Petkov <[email-masked]> wrote:
>
> + acme.
> 
> On Wed, Oct 06, 2021 at 01:58:26PM +1100, Stephen Rothwell wrote:
> > After merging the tip tree, today's linux-next build (native perf)
> > failed like this:
> >
> > In file included from util/intel-pt-decoder/../../../arch/x86/lib/insn.c:16,
> >                  from util/intel-pt-decoder/intel-pt-insn-decoder.c:15:
> > util/intel-pt-decoder/../../../arch/x86/lib/insn.c: In function '__insn_get_emulate_prefix':
> > tools/include/../include/asm-generic/unaligned.h:10:15: error: packed attribute is unnecessary [-Werror=packed]
> >    10 |  const struct { type x; } __packed *__pptr = (typeof(__pptr))(ptr); \  
> 
> Thanks for the report - luckily, the patch is the topmost one on the
> branch so I can simply edit it.
> 
> Here's the new version, you can simply apply the last hunk on your tree
> only to verify that it fixes it but it should as the hw arch should not
> matter - it explodes because perf tool builds with -Werror and I can
> trigger it too.
> 
> I'll redo tip/master once you confirm.

Works for me, thanks.

Tested-by: Stephen Rothwell <[email-masked]> # ppc64le compile

-- 
Cheers,
Stephen Rothwell